package com.ruoyi.system.mapper.stamp;


import com.ruoyi.system.domain.stamp.StampExamineUser;
import com.ruoyi.system.domain.stamp.StampExamineUserExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface StampExamineUserMapper {
    long countByExample(StampExamineUserExample example);

    int deleteByExample(StampExamineUserExample example);

    int deleteByPrimaryKey(String id);

    int insert(StampExamineUser record);

    int insertSelective(StampExamineUser record);

    List<StampExamineUser> selectByExample(StampExamineUserExample example);

    StampExamineUser selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") StampExamineUser record, @Param("example") StampExamineUserExample example);

    int updateByExample(@Param("record") StampExamineUser record, @Param("example") StampExamineUserExample example);

    int updateByPrimaryKeySelective(StampExamineUser record);

    int updateByPrimaryKey(StampExamineUser record);
}